import dynamix_sdk.base as _base


class CloudapiVinsVnfdevRedeployResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsVnfdevRedeployProtocol(_base.BasePostAPIFunctionProtocol):
    def vnfdev_redeploy(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsVnfdevRedeployResultBool:
        ...
